function Update () {

	var playerController : ThirdPersonController = GetComponent(ThirdPersonController);
	var currentSpeed = playerController.GetSpeed();
	
	Debug.Log ( currentSpeed + "   " + playerController.runSpeed);


	if (playerController.IsGrounded())
	{
		if (currentSpeed > (playerController.runSpeed - 1)) 
			GameObject.Find("runParticles").particleEmitter.emit = true;
		else
			GameObject.Find("runParticles").particleEmitter.emit = false;
	}
	else
		GameObject.Find("runParticles").particleEmitter.emit = false;

}